import { OnInit, OnDestroy } from '@angular/core';
import { HeToastService, IToast } from '../toast.service';
import * as i0 from "@angular/core";
interface IToastTimeout extends IToast {
    timeout?: any;
}
export declare class ToastComponent implements OnInit, OnDestroy {
    private toastService;
    private subscriptions;
    toasts: IToastTimeout[];
    constructor(toastService: HeToastService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private add;
    dismiss(toast: IToastTimeout): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ToastComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ToastComponent, "he-toast", never, {}, {}, never, never>;
}
export {};
